
/* common elements */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
}

section:last-of-type {
    padding: 0;
}

main {
    background-color: var(--border-light);
    color: var(--dark-forest-green);
}

/* product details */
.product-details {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 46px;
    padding: 30px 3% 30px;
}

.product-img {
    display: grid;
    grid-template-columns: 1fr 4fr;
    gap: 12px;
    height: fit-content;
}

.product-img img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.thumbail-list {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.thumbail-list img {
    height: calc(100% / 4 - 9px);
    cursor: pointer;
}

.product-info .title {
    font-weight: 600;
    font-size: 1.5rem;
    letter-spacing: 2px;
}

.product-info .rating {
    color: var(--dark-forest-green);
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.product-info .rating svg {
    height: 20px;
    width: 20px;
    margin-right: 5px;
}

.total-reviews {
    font-size: .854rem;
    color: var(--dark-forest-green);
    letter-spacing: 2px;
    text-transform: capitalize;
    cursor: pointer;
}

.total-reviews:hover {
    font-weight: 600;
}

.product-info .price {
    display: block;
    font-weight: 600;
    font-size: 1rem;
    margin-bottom: 10px;
    margin-top: 15px;
}

.product-info :is(.size-selection, .color-selection) {
    margin: 20px 0;
}

.product-info :is(.size-selection p, .color-selection p) {
    margin-bottom: 10px;
}

.product-info :is(.size-options, .color-options) {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.product-info .size-options button {
    width: 45px;
    height: 45px;
    background-color: #cfffe1;
    border: 2px solid transparent;
    cursor: pointer;
}

.product-info .color-options img {
    width: 70px;
    height: 70px;
    border: 2px solid transparent;
    cursor: pointer;
}

.product-info :is(.size-options .selected, .color-options .selected) {
    border-color: var(--dark-forest-green);
    border-radius: 5px;
}

.btn-cart {
    padding: 12px 50px;
    background: var(--dark-forest-green);
    border: none;
    font-size: 1rem;
    color: var(--bg-white);
    cursor: pointer;
    margin: 20px 0;
    border-radius: 5px;
}

.product-policy {
    border-top: 1px solid #ccc;
    padding-top: 10px;
}

/* product reviews */
.product-reviews-box {
    position: fixed;
    top: 0;
    bottom: 0;  
    z-index: 9999;
    transition: 0.3s;
    transform: scale(1);
    background-color: hsl(150 30% 12%/ .4);
    width: 100%;
    height: 100%;
    display: none;
    align-items: center;
    justify-content: center;
}

.review-content {
    background-color: var(--bg-white);
    border-radius: 10px;
    width: 500px;
}

.product-review-header {
    display: flex;
    align-items: top;
    justify-content: space-between;
    padding: 10px;
    margin: 10px;
    border-bottom: 1px solid #ddd;
}

.product-review-header h2 {
    font-size: 1.5rem;
    font-weight: normal;
    letter-spacing: 1px;
    text-transform: capitalize;
    margin-bottom: 0px;
}

.product-review-header svg {
    height: 20px;
    width: 20px;
    cursor: pointer;
}

.product-review-grid {
    padding: 10px;
    height: 150px;
    overflow-x: auto;
}

.review-item {
    border-radius: 10px;
}

.review-item:not(:last-child) {
    margin-bottom: 20px;
    border-bottom: 1px dotted #ccc;
}

.review-header {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.review-image {
    height: 100%;
    margin-right: 10px;
}

.review-image p {
    background-color: var(--dark-forest-green);
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: capitalize;
    color: var(--bg-white);
    border-radius: 50%;
    height: 40px;
    width: 40px;
    font-weight: 600;
    font-size: 1rem;
    margin-bottom: 0px;
}

.review-user-name h3 {
    font-weight: normal;
    font-size: .754rem;
    letter-spacing: 2px;
    margin-bottom: 0px;
}

.review-user-name span {
    color: var(--text-muted);
    font-size: .854rem;
}

.review-desc {
    padding: 10px;
    color: var(--text-muted);
}

.review-desc p {
    margin-bottom: 5px;
    font-size: .954rem;
    color: var(--text-muted);
    display: flex;
    align-items: center;
}

.product-review-comment {
    padding: 0px 10px;
    border-radius: 10px;
}

.review-form {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding-top: 10px;
}

.review-form textarea {
    height: 100px;
    resize: none;
    background-color: var(--bg-white);
    border: none;
    outline: none;
    border-radius: 5px;
    padding: 10px;
    font-size: 1rem;
    border: 0.6px solid #ccc;
}

.review-form textarea::placeholder {
    font-size: .854rem;
    text-transform: capitalize;
    color: #ccc;
}

.review-form button {
    padding: 12px 50px;
    background: var(--dark-forest-green);
    border: none;
    font-size: 1rem;
    color: var(--bg-white);
    cursor: pointer;
    margin: 20px 0;
    border-radius: 10px;
}

/* Show Buttons */
.show-all-menu-tabs {
    position: fixed;
    bottom: 15px;
    left: 25px;
    display: flex;
    flex-direction: column;
    z-index: 2000;
}

.show-filter-btn {
    position: relative;
    width: 45px;
    height: 45px;
    border: none;
    border-radius: 50%;
    font-size: 1.4rem;
    opacity: 1;
    background-color: var(--primary-harvest-green);
    color: var(--bg-white);
    transition: opacity 0.3s ease, transform 0.3s ease;
    margin-bottom: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.show-filter-btn:hover {
    color: var(--bg-white);
}

.show-filter-btn svg {
    cursor: pointer;
    height: 20px;
    width: 20px;
}

.notification-total {
    position: absolute;
    top: -10px;
    left: 20px;
    border-radius: 50%;
    background-color: var(--leaf-green);
    color: var(--bg-white);
    padding: 5px;
    height: 25px;
    width: 25px;
    font-size: .754rem;
    font-weight: 600;
    text-align: center;
    display: none;
}

.notification-box {
    position: fixed;
    top: 50px;
    right: -40px;
    z-index: 2000;
    display: none;
}

.notification-close {
    margin-bottom: 5px;
}

.notification-close svg {
    float: right;
    height: 20px;
    width: 20px;
    color: var(--bg-white);
    cursor: pointer;
}

.notification-bell-cart {
    position: absolute;
    top: 30px;
    right: 60px;
    background-color: var(--primary-harvest-green);
    border-radius: 10px;
    width: 250px;
    padding: 10px;
    display: grid;
}

.notification-bell-cart p {
    color: var(--bg-white);
    text-align: center;
    margin-bottom: 0px;
}